QGIS Application - Bug report #9400
"Clip raster by mask layer" produces different results than "Clipper"” from Raster Menu
2014-01-22 02:57 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/GDAL

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17998
Description

| tried clipping a raster with "Clipper" from the Raster Menu and "Clip with mask layer" from the Processing Toolbox and obtained different
results

The outputs of both functions had:

- different raster statistics (Layer properties ->Metadata->Band 1)

- handled no "NoDataValues" differently. While Clipper kept "NoDataValue" undefined, Clip with mask layer assigned "0" as
NoDataValue, even though | set "none" in Nodata value

Am | missing something? | attached test data to reproduce the issue

History

#1 - 2014-01-22 03:05 AM - Filipe Dias

SAGA 2.10/"Clip grid with polygon" produced a raster with the same statistics as the output from "clip raster with mask layer" and assigned -32767 as
NoDataValue

#2 - 2014-01-22 12:52 PM - Giovanni Manghi
- Status changed from Open to Closed

The different stats are explained because all the pixels that have 0 value are evidently counted in the stats (that does not happens for NO DATA).

If you need to have NO DATA in the output from the tool in the raster menu then you must check the "no data value" option (and set it to 0).

#3 - 2014-01-22 01:09 PM - Filipe Dias
- Status changed from Closed to Reopened

Giovanni Manghi wrote:

The different stats are explained because all the pixels that have 0 value are evidently counted in the stats (that does not happens for NO DATA).

You're right
But one issue remains: if the original raster doesn't have a NoDataValue, then the tool in the processing toolbox automatically assigns it to 0. The function

"clipper" does not do this.

#4 - 2014-01-22 01:14 PM - Giovanni Manghi

Filipe Dias wrote:

Giovanni Manghi wrote:

The different stats are explained because all the pixels that have 0 value are evidently counted in the stats (that does not happens for NO DATA).

You're right

But one issue remains: if the original raster doesn't have a NoDataValue, then the tool in the processing toolbox automatically assigns it to 0. The

function "clipper" does not do this.

to me makes much more sense that the areas outside the clipped area are NO DATA rather than 0. So in this sense the processing tool acts better by
default than the tool in th vector menu, that has the option unchecked.

#5 - 2014-01-22 01:18 PM - Filipe Dias

There is that. But maybe the tool in the Raster Menu was designed that way because of some use case?

Anyway, it's important that both tools behave the same way.

#6 - 2014-10-04 11:50 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (58)

#7 - 2014-10-04 11:50 AM - Giovanni Manghi
- Category set to Processing/GDAL

#8 - 2016-05-23 07:14 AM - Alexander Bruy
- Status changed from Reopened to Closed
Works fine in master. There is a minor difference in statistics cause by the fact that Processing tool aligns the coordinates of the extent of the output file to

the values of the resolution ("-tap" option).

Please reopen if necessary.

Files

clip.zip 182 KB 2014-01-22 Filipe Dias
